<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('telemed_pros', function ($table) {
            $table->string('first_name')->nullable();
            $table->string('gender')->nullable();
            $table->string('specialty')->nullable();
            $table->string('home_address')->nullable();
            $table->string('medical_license_number')->nullable();
            $table->string('years_of_experience')->nullable();
            $table->string('email_verification')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('telemed_pros', function ($table) {
            $table->dropColumn('first_name');
            $table->dropColumn('gender');
            $table->dropColumn('specialty');
            $table->dropColumn('home_address');
            $table->dropColumn('medical_license_number');
            $table->dropColumn('years_of_experience');
            $table->dropColumn('email_verification');
        });
    }
};
